Subject: I need your help--Urgent

From: Yangru Wu <[email-masked]>
Date: Wed, 3 Nov 93 20:52:01 CST

Hi, Firends,
    I got a letter from Cincinnati INS, asking my son--a LAD for an interview. 
As I understand the letter, my son must go at the specified date and time with 
the principal alien. While both my husband and I are covered by CSPA and we got
the approvals, we use my husband as the principal to file the application for
our son. My husband is currently visiting a foreign university for a project 
and he will not be able to come on that date of the interview. I would like to 
know if our son can go with me, not my husband to go for an interview. If not 
possible, can I ask an INS official to reschedule another interview? The letter
from INS says if my son fails to appear on that date, the application will be
cancelled automatically and we are very concerned about that. Does anyone have
a similar experience before? What's the best way to solve the problem. We
eagerly await your sugguestions. Thanks a lot.    Wei.